Bug 204605 - Review Request: geda-gsymcheck - Symbol checker for electronics schematics editor
Review Request: geda-gsymcheck - Symbol checker for electronics schematics ed...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 177110 (view as bug list)
Depends On: 204168 204263
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-30 07:56 EDT by Chitlesh GOORAH
Modified: 2008-12-22 22:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 06:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-08-30 07:56:44 EDT
Spec URL: http://chitlesh.funpic.de/rpm/geda-gsymcheck.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-gsymcheck-20060123-3.src.rpm
Description:
Gsymcheck is a utility to check symbols for gschem. 
It is part of the gEDA project.
Comment 1 Chitlesh GOORAH 2006-08-30 07:58:20 EDT
*** Bug 177110 has been marked as a duplicate of this bug. ***
Comment 2 Chitlesh GOORAH 2006-08-30 08:00:59 EDT
Example:
gsymcheck /usr/share/gEDA/sym/diode/led-3.sym -vv
gEDA/gsymcheck version 20060123
gEDA/symcheck comes with ABSOLUTELY NO WARRANTY; see COPYING for more details.
This is free software, and you are welcome to redistribute it under certain
conditions; please see the COPYING file for more details.


Checking: /usr/share/gEDA/sym/diode/led-3.sym
Warning: Missing footprint= attribute
1 warnings found
No errors found
Comment 3 Mamoru TASAKA 2006-08-31 03:28:07 EDT
First review for geda-gsymcheck :

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
   * BuildRequires
     gtk2-devel guile-devel <- required by  libgeda-devel
     libpng-devel <- required by gd-devel
                  <- required by libgeda-devel

   * Encoding
     /usr/share/doc/geda-gsymcheck-20060123/AUTHORS is encoded in
     ISO-8859-1 and includes non-ascii character(s).
     Change the encoding to UTF-8 by iconv.

   * File and Directory Ownership
     The directory %{_datadir}/gEDA/ is already owned by
     geda-symbols-20060123-3.fc6 and this package requires
     geda-symbols (as written).

2. http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

   = None.

3. Other things I have noticed:
   * URL
     Maybe http://www.geda.seul.org/tools/gsymcheck/index.html
     is more proper?
     And would you check other gEDA related packages if more
     preferable URL can be found? 
Comment 5 Mamoru TASAKA 2006-09-02 08:19:19 EDT
Well,

* iconv -f EUCJP -t UTF8 AUTHORS.tmp > AUTHORS && \
Not EUCJP , this case is "iconv -f ISO-8859-1 -t UTF8 ....."
Fix it, which is the only things to be fixed.

This package is APPROVED by me.
Comment 6 Mamoru TASAKA 2006-09-10 06:42:37 EDT
Closing as CLOSED NEXTRELEASE.
Comment 7 Chitlesh GOORAH 2008-12-21 14:50:52 EST
New Package CVS Request
=======================
Package Name: geda-gsymcheck
Short Description: Symbol checker for electronics schematics editor
Owners: chitlesh
Branches: EL-5
Comment 8 Kevin Fenzi 2008-12-22 22:24:02 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.